### Method

# Gtk.PrintSettings.load_file

#### Declaration [src]

    gboolean
    gtk_print_settings_load_file (
      GtkPrintSettings* settings,
      const char* file_name,
      GError** error
    )

#### Description [src]

Reads the print settings from `file_name`.

If the file could not be loaded then error is set to either a `GFileError` or `GKeyFileError`.

See `gtk_print_settings_to_file()`.

#### Parameters

`file_name` | `const char*`
| the filename to read the settings from
| Ownership is not transferred to the callee
| The string is a file system path, using the OS encoding

#### Return value

Returns: `gboolean`
`TRUE` on success